* {
  margin: 0 auto;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  font-family: apple system, "segoe UI", sans-serif;
  font-size: 14px;
}
body {
  width: 100%;
  height: 100vh;
  background-color: rgb(250, 250, 250);
}

.instagram-container {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 890px;
  height: 86vh;
}
.presentation-section {
  width: 500px;
  height: 600px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.phone {
  width: 100%;
  max-width: 460px;
  position: absolute;
}
.login-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
  width: 40%;
  position: relative;
  right: 6%;
  /* margin-left: -8%; */
}
.group {
  display: flex;
  flex-direction: column;
  justify-content: start;
  width: 100%;
  margin: 5px;
  padding: 20px;
  background-color: rgb(255, 255, 255);
  border-style: solid;
  border-color: rgb(219, 219, 219);
  border-width: 1px;
}
.account-relogin {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-items: center;
  justify-content: center;
}
.instagram-logo {
  width: 60%;
  height: auto;
  filter: opacity(85%);
}
.perfil-picture {
  width: 30%;
  height: auto;
  border-style: none;
  border-radius: 50%;
}
.relogin-button {
  width: 90%;
  margin: 40px auto 20px auto;
  padding: 5px;
  border-radius: 6px;
  border-style: none;
  box-shadow: none;
  background-color: rgb(0, 149, 246);
  cursor: pointer;
  outline-style: none;
  text-align: center;
  font-weight: 600;
  color: #ffff;
}
.relogin-button:active{
    background-color:  rgb(53, 174, 255);;
}

.login-section-footer {
  width: 100%;
  display: flex;
  flex-direction: column;
  margin-top: 10px;
}
.login-footer-buttons,
.login-footer-buttons a {
  width: 80%;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  padding: 5px;
}
.appstore-button,
.googleplay-button {
  width: 100%;
  margin-top: 5px;
}
/* ----------------- FOOTER ------------------ */
.main-footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-width: 480px;
  height: 150px;
}
.footer-links {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 80%;
}
ul {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
}
ul li {
  padding: 5px;
  line-height: 1rem;
}
ul li a {
  font-size: 12px;
  text-decoration: none;
  color: grey;
}

#language-select {
  border-style: none;
  color: grey;
  cursor: pointer;
}

/* ======================media query ===================*/
@media screen and (max-device-width: 860px){
  .presentation-section,
  .phone,
  .slider-container {
    display: none;
  }
  /* in mobile devices start flexible in 480p */
  .instagram-container {
    width: 480px;
    height: 100vh;
  }
  .login-section {
    width: 90%;
    height: 100vh;
    right: 0;
    margin: 0 auto;
    padding-top: 5%;
  }
  .relogin-button {
    width: 60%;
  }
  .main-footer {
    height: 30vh;
    margin-top: 10%;
  }
  .footer-links {
    flex-wrap: wrap;
    width: 90%;
    margin: 0 auto;
  }
}

/* --- iphone 6/7/8 --- */
@media screen and (max-device-width: 375px) and (max-device-height: 667px){
    .main-footer {
        margin-top: 0%;
        height: 25vh;
      }
}

/* --- iphone 6/7/8 plus --- */
@media screen and (min-device-width: 414px) and (max-device-height: 736px){
    .main-footer {
        margin-top: -20%;
        height: 25vh;
      }
}

/* --- Galaxy Series --- */
@media screen and (min-device-width: 360px) and (max-device-height: 640px) {
    .main-footer {
    margin-top: 5%;
    height: 25vh;
  }
}
